import(Module_Commands)
import(Module_Control)
import(Module_DataTypes)
import(Module_Defines)
import(Module_Draw)
import(Module_Game)
import(Module_GameStates)
import(Module_Globals)
import(Module_Helpers)
import(Module_Level)
import(Module_Map)
import(Module_MapWho)
import(Module_Objects)
import(Module_Person)
import(Module_Players)
import(Module_PopScript)
import(Module_System)
import(Module_Sound)
import(Module_Table)
import(Module_Math)

function OnTrigger(trigger)
	local c3d_mk0 = marker_to_coord3d(0);
	local c3d_mk1 = marker_to_coord3d(1);
	local dist0 = get_world_dist_xyz_quick(c3d_mk0, trigger.Pos.D3);
	local dist1 = get_world_dist_xyz_quick(c3d_mk1, trigger.Pos.D3);

	if (dist0 < 140000 or dist1 < 140000) then
		SearchMapCells(CIRCULAR, 0, 0, 1, world_coord3d_to_map_idx(trigger.Pos.D3), function(me)
			me.MapWhoList:processList(function(p)
				if (p.Type == T_PERSON) then
					command_person_go_to_coord2d(p, p.Pos.D2)
					remove_all_persons_commands(p)
				end
			return true
			end)
		return true
		end)
	end

	return 0
end