import(Module_Defines);
import(Module_DataTypes);
import(Module_MapWho);
import(Module_Person);
import(Module_System);
import(Module_Game);
import(Module_Objects);
import(Module_Globals);
import(Module_Map);
import(Module_Commands);
import(Module_Sound);
import(Module_Level);
import(Module_Helpers);
import(Module_String);
import(Module_Table);
import(Module_Math);
import(Module_Players);

-- Default SoulConvert.Count value is 300.
-- If above 300, then it'll take longer to respawn.

local gDeadShamans = {}
	
function OnTurn()
	if (EVERY_2POW_TURNS(2)) then
		for k,v in ipairs(gDeadShamans) do
			if (v ~= nil) then 
				if (v.Model == M_INTERNAL_SOUL_CONVERT_2) then 
					if (v.u.SoulConvert.CurrModel == M_PERSON_MEDICINE_MAN) then
						if (v.SubState == SS_SC2_SOUL_IN_LIMBO) then 
						
							if (v.Owner == 0) then -- blue
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 1) then -- red
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 2) then -- yellow
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 3) then -- green
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 4) then -- cyan
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 5) then -- magenta
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 6) then -- black
								v.u.SoulConvert.Count = 60;
							elseif (v.Owner == 7) then -- orange
								v.u.SoulConvert.Count = 60;
							end
							
							table.remove(gDeadShamans,k)
						end
					else 
						table.remove(gDeadShamans,k)
					end
				else 
					table.remove(gDeadShamans,k)
				end
			else 
				table.remove(gDeadShamans,k)
			end
		end
	end
end

function OnCreateThing(t)
	if (t.Type == T_INTERNAL) then 
		if (t.Model == M_INTERNAL_SOUL_CONVERT_2) then 
			if (t.u.SoulConvert.CurrModel == M_PERSON_MEDICINE_MAN) then
				table.insert(gDeadShamans, t)
			end
		end
	end
end

for i=10,0,-1 do
	log_msg(TRIBE_NEUTRAL, "Toxicity was here");
end